$breakpoints-portrait-width: (
  phone: 320px,
  tablet: 768px,
  desktop: 992px
);

$breakpoints-landscape-width: (
   phone: 480px,
   tablet: 1024px,
   desktop: 1200px
);

@mixin mq($breakpoint) {

   $portrait-width: map-get($breakpoints-portrait-width, $breakpoint);
   $landscape-width: map-get($breakpoints-landscape-width, $breakpoint);

   @media (min-width: $portrait-width) and (max-width: $portrait-width-1px) and (orientation: portrait) {
      @content;
   }
   @media (min-width: $landscape-width) and (max-width: $landscape-width-1px) and (orientation: landscape) {
      @content;
   }
}

@mixin orientation($val) {

   @media (orientation: $val) {
      @content;
   }
}